Bug 160809 - NullPointerException at org.netbeans.modules.db.explorer.node.ColumnNode$2.run
NullPointerException at org.netbeans.modules.db.explorer.node.ColumnNode$2.run
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: RANDOM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-21 23:20 UTC by bvansomeren
Modified: 2009-10-09 22:55 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.73 KB, text/plain)
2009-03-21 23:21 UTC, bvansomeren
Details
stacktrace (1.68 KB, text/plain)
2009-04-01 10:11 UTC, pribyl
Details
stacktrace (1.68 KB, text/plain)
2009-06-08 15:13 UTC, martin_zmrhal
Details
stacktrace (2.61 KB, text/plain)
2009-09-17 19:30 UTC, Michal Mocnak
Details
stacktrace (2.61 KB, text/plain)
2009-09-21 23:28 UTC, Michal Mocnak
Details
stacktrace (2.61 KB, text/plain)
2009-10-06 20:32 UTC, Michal Mocnak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bvansomeren 2009-03-21 23:20:59 UTC
Build: NetBeans IDE Dev (Build 200902231810)
VM: Java HotSpot(TM) Client VM, 1.5.0_16-133, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_16-b06-284
OS: Mac OS X, 10.5.6, i386

User Comments:
bvansomeren: Tried deleting all the tables from a MySQL database by selecting them all in the Services pane and selecting delete from the context menu



Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.db.explorer.node.ColumnNode$2.run(ColumnNode.java:220)
        at org.netbeans.modules.db.explorer.node.ColumnNode$2.run(ColumnNode.java:217)
        at org.netbeans.modules.db.metadata.model.JDBCConnMetadataModel.runReadAction(JDBCConnMetadataModel.java:94)
        at org.netbeans.modules.db.metadata.model.api.MetadataModel.runReadAction(MetadataModel.java:89)
        at org.netbeans.modules.db.explorer.node.ColumnNode.getPosition(ColumnNode.java:216)
        at org.netbeans.modules.db.explorer.node.ColumnNodeProvider$ColumnComparator.compare(ColumnNodeProvider.java:146)
Comment 1 bvansomeren 2009-03-21 23:21:07 UTC
Created attachment 78587 [details]
stacktrace
Comment 2 pribyl 2009-04-01 10:11:09 UTC
Build: NetBeans IDE Dev (Build 200904010000)
VM: Java HotSpot(TM) Client VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Windows XP, 5.1, x86

User Comments: 
Delete multiple database table nodes at once (expand Tables node under a database node, select all tables and selected Delete from popup menu)

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.db.explorer.node.ColumnNode$2.run(ColumnNode.java:220)
        at org.netbeans.modules.db.explorer.node.ColumnNode$2.run(ColumnNode.java:217)
        at org.netbeans.modules.db.metadata.model.JDBCConnMetadataModel.runReadAction(JDBCConnMetadataModel.java:94)
        at org.netbeans.modules.db.metadata.model.api.MetadataModel.runReadAction(MetadataModel.java:89)
        at org.netbeans.modules.db.explorer.node.ColumnNode.getPosition(ColumnNode.java:216)
        at org.netbeans.modules.db.explorer.node.ColumnNodeProvider$ColumnComparator.compare(ColumnNodeProvider.java:146)
Comment 3 pribyl 2009-04-01 10:11:24 UTC
Created attachment 79208 [details]
stacktrace
Comment 4 martin_zmrhal 2009-06-08 15:12:55 UTC
Build: NetBeans IDE 6.7 RC1 (Build 200905282243)
VM: Java HotSpot(TM) Client VM, 14.0-b16, Java(TM) SE Runtime Environment, 1.6.0_14-b08
OS: Windows XP, 5.1, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.db.explorer.node.ColumnNode$2.run(ColumnNode.java:227)
        at org.netbeans.modules.db.explorer.node.ColumnNode$2.run(ColumnNode.java:224)
        at org.netbeans.modules.db.metadata.model.JDBCConnMetadataModel.runReadAction(JDBCConnMetadataModel.java:94)
        at org.netbeans.modules.db.metadata.model.api.MetadataModel.runReadAction(MetadataModel.java:89)
        at org.netbeans.modules.db.explorer.node.ColumnNode.getPosition(ColumnNode.java:223)
        at org.netbeans.modules.db.explorer.node.ColumnNodeProvider$ColumnComparator.compare(ColumnNodeProvider.java:146)
Comment 5 martin_zmrhal 2009-06-08 15:13:05 UTC
Created attachment 83323 [details]
stacktrace
Comment 6 Jiri Rechtacek 2009-07-01 07:44:38 UTC
NB6.7 was released already - http://www.netbeans.org/community/releases/67/
Postpone fixing this issue on the next release.
Comment 7 Exceptions Reporter 2009-08-03 20:34:43 UTC
This issue already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=148004
Comment 8 Michal Mocnak 2009-09-17 19:30:34 UTC
Build: NetBeans IDE Dev (Build 200909151512)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.1-b02-92, Java(TM) SE Runtime Environment, 1.6.0_15-b03-226
OS: Mac OS X, 10.5.8, x86_64

User Comments: 
Deleting tables in mysql connection

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.db.explorer.node.ColumnNode$2.run(ColumnNode.java:236)
        at org.netbeans.modules.db.explorer.node.ColumnNode$2.run(ColumnNode.java:233)
        at org.netbeans.modules.db.metadata.model.JDBCConnMetadataModel.runReadAction(JDBCConnMetadataModel.java:94)
        at org.netbeans.modules.db.metadata.model.api.MetadataModel.runReadAction(MetadataModel.java:89)
        at org.netbeans.modules.db.explorer.node.ColumnNode.getPosition(ColumnNode.java:232)
        at org.netbeans.modules.db.explorer.node.ColumnNodeProvider$ColumnComparator.compare(ColumnNodeProvider.java:146)
Comment 9 Michal Mocnak 2009-09-17 19:30:39 UTC
Created attachment 87883 [details]
stacktrace
Comment 10 Michal Mocnak 2009-09-21 23:28:25 UTC
Build: NetBeans IDE Dev (Build 200909201401)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.1-b02-92, Java(TM) SE Runtime Environment, 1.6.0_15-b03-226
OS: Mac OS X, 10.5.8, x86_64

User Comments: 
Deleting tables from mysql db.

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.db.explorer.node.ColumnNode$2.run(ColumnNode.java:236)
        at org.netbeans.modules.db.explorer.node.ColumnNode$2.run(ColumnNode.java:233)
        at org.netbeans.modules.db.metadata.model.JDBCConnMetadataModel.runReadAction(JDBCConnMetadataModel.java:94)
        at org.netbeans.modules.db.metadata.model.api.MetadataModel.runReadAction(MetadataModel.java:89)
        at org.netbeans.modules.db.explorer.node.ColumnNode.getPosition(ColumnNode.java:232)
        at org.netbeans.modules.db.explorer.node.ColumnNodeProvider$ColumnComparator.compare(ColumnNodeProvider.java:146)
Comment 11 Michal Mocnak 2009-09-21 23:28:29 UTC
Created attachment 88059 [details]
stacktrace
Comment 12 Jiri Rechtacek 2009-10-05 11:32:21 UTC
Still reproducible in NB6.8 beta, but randomly.
Comment 13 Michal Mocnak 2009-10-06 20:32:07 UTC
Build: NetBeans IDE 6.8 Beta (Build 200910020947)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.1-b02-90, Java(TM) SE Runtime Environment, 1.6.0_15-b03-219
OS: Mac OS X, 10.6.1, x86_64

User Comments: 
Deleting a couple of tables form mysql db connection

Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.db.explorer.node.ColumnNode$2.run(ColumnNode.java:236)
        at org.netbeans.modules.db.explorer.node.ColumnNode$2.run(ColumnNode.java:233)
        at org.netbeans.modules.db.metadata.model.JDBCConnMetadataModel.runReadAction(JDBCConnMetadataModel.java:94)
        at org.netbeans.modules.db.metadata.model.api.MetadataModel.runReadAction(MetadataModel.java:89)
        at org.netbeans.modules.db.explorer.node.ColumnNode.getPosition(ColumnNode.java:232)
        at org.netbeans.modules.db.explorer.node.ColumnNodeProvider$ColumnComparator.compare(ColumnNodeProvider.java:146)
Comment 14 Michal Mocnak 2009-10-06 20:32:14 UTC
Created attachment 88943 [details]
stacktrace
Comment 15 Exceptions Reporter 2009-10-06 20:32:20 UTC
This issue already has 21 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=148004
Comment 16 Jiri Rechtacek 2009-10-07 11:53:28 UTC
core-main/rev/ec51b5e418f3
Comment 17 Quality Engineering 2009-10-09 22:55:55 UTC
Integrated into 'main-golden', will be available in build *200910091401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ec51b5e418f3
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #160809: NullPointerException at org.netbeans.modules.db.explorer.node.ColumnNode$2.run


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo